주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Threads, Assistants

Get a thread

GET /openai/v1/threads/{thread_id}

Retrieves a thread by its identifier.

경로 매개 변수

thread_id string 필수

The ID of the thread to retrieve.

응답

The request has succeeded.

본문

Content-Type: application/json
id string 필수

The identifier, which can be referenced in API endpoints.

object enum 필수

The object type, which is always thread.

thread
created_at integer 필수

The Unix timestamp (in seconds) for when the thread was created.

tool_resources OpenAI.ThreadObjectToolResources | null 필수
code_interpreter OpenAI.ThreadObjectToolResourcesCodeInterpreter
file_ids string[]
file_search OpenAI.ThreadObjectToolResourcesFileSearch
vector_store_ids string[]
metadata OpenAI.Metadata | null 필수

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

[key: string] string

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

요청

curl https://api.openai.com/v1/threads/thread_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2"
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
thread = client.beta.threads.retrieve(
    "thread_id",
)
print(thread.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const myThread = await openai.beta.threads.retrieve(
    "thread_abc123"
  );

  console.log(myThread);
}

main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const thread = await client.beta.threads.retrieve('thread_id');

console.log(thread.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    thread, err := client.Beta.Threads.Get(context.TODO(), "thread_id")
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", thread.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.threads.Thread;
import com.openai.models.beta.threads.ThreadRetrieveParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        Thread thread = client.beta().threads().retrieve("thread_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

thread = openai.beta.threads.retrieve("thread_id")

puts(thread)

응답

{
  "id": "thread_abc123",
  "object": "thread",
  "created_at": 1699014083,
  "metadata": {},
  "tool_resources": {
    "code_interpreter": {
      "file_ids": []
    }
  }
}
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026